Bug 606120 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox wa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:1a2d21d0255f306ba8da891d0e3...
: Triaged
: 610452 614620 620910 626979 635165 636395 637450 646699 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-20 14:52 EDT by Milan Slanař
Modified: 2011-02-04 10:52 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-04 10:52:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (74.80 KB, text/plain)
2010-06-20 14:52 EDT, Milan Slanař
no flags Details

  None (edit)
Description Milan Slanař 2010-06-20 14:52:24 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox -UILocale cs
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.6/firefox
global_uuid: 1a2d21d0255f306ba8da891d0e35e89fb27b1cfd
kernel: 2.6.33.5-124.fc13.i686
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Milan Slanař 2010-06-20 14:52:26 EDT
Created attachment 425467 [details]
File: backtrace
Comment 2 NSLW 2010-06-25 05:44:24 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.click on hyperlink
2.
3.
Comment 3 d. johnson 2010-08-13 12:12:26 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.


#3  <signal handler called>
No symbol table info available.
#4  nsPluginThreadRunnable::nsPluginThreadRunnable (this=0x9e0360c0, 
    instance=0x0, func=0x8e09d70 <_getString(void*)>, userData=0x9adfa290)
    at nsNPAPIPlugin.cpp:2530
        lock = {<nsAutoLockBase> = {<No data fields>}, mLock = 0xa7cf0a00, 
          mLocked = 1}
        inst = <value optimized out>
#5  0x073ed9e2 in _pluginthreadasynccall (instance=0x0, 
    func=0x8e09d70 <_getString(void*)>, userData=0x9adfa290)
    at nsNPAPIPlugin.cpp:2576
No locals.
#6  0x08e0a273 in PluginRequestProcessor::sendString (this=0xa8b05a88, 
    message_parts=0x9ee5f130)
    at /usr/src/debug/icedtea6-1.8/plugin/icedteanp/IcedTeaPluginRequestProcessor.cc:394
        variant = 0x9e7e8550
        java_request = {<BusSubscriber> = {_vptr.BusSubscriber = 0x8e1b050}, 
          instance = -1627003476, reference = 105502385, 
          result_ready = false, result = 0x9e033800}
        reference = 44
        thread_data = {parameters = std::vector of length 2, capacity 2 = {
            0x0, 0x9e7e8550}, result = "", result_ready = false, 
          call_successful = false}
        variant_ptr = "2659091792"
        response = ""
        instance = 0x0
#7  0x08e0db13 in queue_processor (data=0xa8b05a88)
    at /usr/src/debug/icedtea6-1.8/plugin/icedteanp/IcedTeaPluginRequestProcessor.cc:735
        message_parts = 0x9ee5f130
        command = "ToString"
        wait_mutex = {__data = {__lock = 2, __count = 0, __owner = 5704, 
            __kind = 0, __nusers = 0, {__spins = 0, __list = {
                __next = 0x0}}}, 
          __size = "\002\000\000\000\000\000\000\000H\026", '\000' <repeats 13 times>, __align = 2}
#8  0x00b3e919 in start_thread (arg=0x9adfab70) at pthread_create.c:301
        __res = <value optimized out>
        __ignore1 = 3
        __ignore2 = 0
        pd = 0x9adfab70
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {11862004, 0, 4001536, 
                -1696619400, 1780645838, -1296782086}, mask_was_saved = 0}}, 
          priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, 
              cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        pagesize_m1 = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
#9  0x00a87dde in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.
From        To          Syms Read   Shared Object Library
0x00b3c5e0  0x00b48568  Yes         /lib/libpthread.so.0
0x0610be00  0x0619e1d8  Yes         /lib/libasound.so.2
0x00b55a60  0x00b56a88  Yes         /lib/libdl.so.2
0x06454620  0x064c6e28  Yes         /usr/lib/libstdc++.so.6
0x00b6a470  0x00b84978  Yes         /lib/libm.so.6
0x00111fa0  0x0012a4e8  Yes         /lib/libgcc_s.so.1
0x009c0aa0  0x00ae0544  Yes         /lib/libc.so.6
0x00988830  0x009a037f  Yes         /lib/ld-linux.so.2
0x00b5d880  0x00b616b8  Yes         /lib/librt.so.1
0x007262e0  0x00856e38  Yes         /usr/lib/xulrunner-1.9.2/libmozjs.so
0x00980a90  0x00981a18  Yes         /lib/libplds4.so
0x065a9e50  0x065ab828  Yes         /lib/libplc4.so
0x06572820  0x06596468  Yes         /lib/libnspr4.so
0x06c63a20  0x075e7418  Yes         /usr/lib/xulrunner-1.9.2/libxul.so
0x068cfe00  0x06941cf8  Yes         /usr/lib/libsqlite3.so.0
0x068722d0  0x0688c6b8  Yes         /usr/lib/libjpeg.so.62
0x065c00b0  0x065e5528  Yes         /usr/lib/libssl3.so
0x06762bb0  0x0677c3b8  Yes         /usr/lib/libsmime3.so
0x06603060  0x066eca08  Yes         /usr/lib/libnss3.so
0x06730b90  0x0673cad8  Yes         /usr/lib/libnssutil3.so
0x005ac210  0x00606688  Yes         /usr/lib/libcairo.so.2
0x0029f3c0  0x003087f8  Yes         /usr/lib/freetype-freeworld/libfreetype.so.6
0x003a8f60  0x003c4cc8  Yes         /usr/lib/libfontconfig.so.1
0x004382c0  0x0043e178  Yes         /usr/lib/libXrender.so.1
0x00142370  0x001d3908  Yes         /usr/lib/libX11.so.6
0x00b94620  0x00b9f8e8  Yes         /lib/libz.so.1
0x006d6e20  0x006ff0d8  Yes         /usr/lib/libhunspell-1.2.so.0
0x00690630  0x006a1ef8  Yes         /usr/lib/libdbus-glib-1.so.2
0x00337220  0x00363578  Yes         /lib/libdbus-1.so.3
0x00cd07d0  0x00cfc6f8  Yes         /lib/libgobject-2.0.so.0
0x00d11f40  0x00d136b8  Yes         /lib/libgthread-2.0.so.0
0x00bb9590  0x00c45478  Yes         /lib/libglib-2.0.so.0
0x00287720  0x00291ff8  Yes         /usr/lib/libXext.so.6
0x00663510  0x0067e918  Yes         /usr/lib/libpangoft2-1.0.so.0
0x003f6210  0x004183e8  Yes         /usr/lib/libpango-1.0.so.0
0x00d33c30  0x00d34d88  Yes         /lib/libgmodule-2.0.so.0
0x05c9e810  0x05f7d788  Yes         /usr/lib/libgtk-x11-2.0.so.0
0x00643480  0x00650ad8  Yes         /usr/lib/libatk-1.0.so.0
0x00d4c8d0  0x00dbdc68  Yes         /lib/libgio-2.0.so.0
0x004774f0  0x004dd6c8  Yes         /usr/lib/libgdk-x11-2.0.so.0
0x004462e0  0x00458e18  Yes         /usr/lib/libgdk_pixbuf-2.0.so.0
0x0052f440  0x00534558  Yes         /usr/lib/libpangocairo-1.0.so.0
0x06a59b40  0x06a969e8  Yes         /usr/lib/libXt.so.6
0x069c3620  0x069c75a8  Yes         /usr/lib/libstartup-notification-1.so.0
0x0053db40  0x00595a68  Yes         /usr/lib/libpixman-1.so.0
0x0037e6f0  0x0039a6c8  Yes         /usr/lib/libpng12.so.0
0x008b3040  0x008cbef8  Yes         /lib/libexpat.so.1
0x0026ce80  0x0027b608  Yes         /usr/lib/libxcb.so.1
0x0062ce70  0x0062f3a8  Yes         /usr/lib/libXfixes.so.3
0x00d1a650  0x00d28f58  Yes         /lib/libresolv.so.2
0x00cae190  0x00cbf3b8  Yes         /lib/libselinux.so.1
0x00dfa780  0x00dfb258  Yes         /usr/lib/libXinerama.so.1
0x003dd740  0x003e74b8  Yes         /usr/lib/libXi.so.6
0x00634150  0x00638c38  Yes         /usr/lib/libXrandr.so.2
0x0051ce40  0x00522448  Yes         /usr/lib/libXcursor.so.1
0x00527890  0x00528488  Yes         /usr/lib/libXcomposite.so.1
0x006277c0  0x00628248  Yes         /usr/lib/libXdamage.so.1
0x00945380  0x00949d28  Yes         /usr/lib/libSM.so.6
0x00951530  0x009611f8  Yes         /usr/lib/libICE.so.6
0x06a48d60  0x06a49ae8  Yes         /usr/lib/libxcb-aux.so.0
0x06a43c00  0x06a44078  Yes         /usr/lib/libxcb-event.so.1
0x06ac81f0  0x06ac8908  Yes         /usr/lib/libxcb-atom.so.1
0x00df5a00  0x00df67f8  Yes         /usr/lib/libXau.so.6
0x00894f00  0x00896b48  Yes         /lib/libuuid.so.1
0x006aecf0  0x006af5f8  Yes         /usr/lib/xulrunner-1.9.2/libxpcom.so
0x006b3a00  0x006bb9a8  Yes         /lib/libnss_files.so.2
0x008dbb30  0x008ffe38  Yes         /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
0x006c1080  0x006c19e8  Yes         /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
0x006c4710  0x006c67e8  Yes         /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
0x006ca530  0x006cba98  Yes         /usr/lib/libcanberra-gtk.so.0
0x0089b3c0  0x008a5408  Yes         /usr/lib/libcanberra.so.0
0x00906720  0x0090b848  Yes         /usr/lib/libvorbisfile.so.3
0x0695f740  0x069752a8  Yes         /usr/lib/libvorbis.so.0
0x068c42f0  0x068c6b38  Yes         /usr/lib/libogg.so.0
0x069b0610  0x069b9858  Yes         /usr/lib/libtdb.so.1
0x06896a30  0x0689b468  Yes         /usr/lib/libltdl.so.7
0x04e4de70  0x04e9b048  Yes         /usr/lib/libgnomeui-2.so.0
0x04d30210  0x04d6b0f8  Yes         /usr/lib/libbonoboui-2.so.0
0x00916da0  0x00936508  Yes         /usr/lib/libgnomecanvas-2.so.0
0x04d8eed0  0x04d99bb8  Yes         /usr/lib/libgnome-2.so.0
0x0096a350  0x0097c3c8  Yes         /usr/lib/libart_lgpl_2.so.2
0x04ca32e0  0x04ce0878  Yes         /usr/lib/libgnomevfs-2.so.0
0x00e08f40  0x00e265d8  Yes         /usr/lib/libgconf-2.so.4
0x068a61c0  0x068b7728  Yes         /usr/lib/libgnome-keyring.so.0
0x069f12f0  0x06a21ac8  Yes         /usr/lib/libbonobo-2.so.0
0x00e3e050  0x00e47218  Yes         /usr/lib/libbonobo-activation.so.4
0x00e65e30  0x00e8da88  Yes         /usr/lib/libORBit-2.so.0
0x00ec6c10  0x00facf18  Yes         /usr/lib/libxml2.so.2
0x06788350  0x0678db38  Yes         /lib/libpopt.so.0
0x0698af60  0x0698eaf8  Yes         /usr/lib/libgailutil.so.18
0x04b9be60  0x04bd3ca8  Yes         /usr/lib/libssl.so.10
0x04a08e80  0x04aec768  Yes         /lib/libcrypto.so.10
0x00890940  0x00891ac8  Yes         /usr/lib/libavahi-glib.so.1
0x06863550  0x068697c8  Yes         /usr/lib/libavahi-common.so.3
0x068508e0  0x06859f48  Yes         /usr/lib/libavahi-client.so.3
0x008a9a20  0x008aa2c8  Yes         /lib/libutil.so.1
0x00ff9240  0x0104b988  Yes         /lib/libgcrypt.so.11
0x0683dc50  0x0683e968  Yes         /usr/lib/libORBitCosNaming-2.so.0
0x01258750  0x0127a418  Yes         /lib/libgssapi_krb5.so.2
0x062e4e50  0x06347e98  Yes         /lib/libkrb5.so.3
0x008add10  0x008ae938  Yes         /lib/libcom_err.so.2
0x08ad37f0  0x08aee208  Yes         /lib/libk5crypto.so.3
0x009845e0  0x00984ba8  Yes         /lib/libgpg-error.so.0
0x08f26c60  0x08f2b238  Yes         /lib/libkrb5support.so.0
0x00941860  0x00941fc8  Yes         /lib/libkeyutils.so.1
0x01071430  0x010728e8  Yes         /usr/lib/gconv/UTF-16.so
0x02627c00  0x0262b108  Yes         /lib/libnss_dns.so.2
0x054a6370  0x054add08  Yes         /usr/lib/firefox-3.6/components/libbrowserdirprovider.so
0x01076580  0x0107a808  Yes         /usr/lib/xulrunner-1.9.2/components/libdbusservice.so
0x01539410  0x0153fbd8  Yes         /usr/lib/xulrunner-1.9.2/components/libimgicon.so
0x010832f0  0x010ac208  Yes         /usr/lib/firefox-3.6/components/libbrowsercomps.so
0x010c11e0  0x010c7128  Yes         /usr/lib/xulrunner-1.9.2/components/libmozgnome.so
0x069cf5f0  0x069d2798  Yes         /usr/lib/libnotify.so.1
0x010d1740  0x010d8cb8  Yes         /usr/lib/gnome-vfs-2.0/modules/libfile.so
0x08e26e30  0x08e29458  Yes         /lib/libattr.so.1
0x04213580  0x04217af8  Yes         /lib/libacl.so.1
0x025a4070  0x025a7f28  Yes         /usr/lib/libfam.so.0
0x024bb8f0  0x024bc768  Yes         /usr/lib/libXss.so.1
0x0112d820  0x01133d78  Yes         /usr/lib/firefox-3.6/components/libnkgnomevfs.so
0x030edc10  0x03119948  Yes (*)     /usr/lib/libsoftokn3.so
0x010de150  0x010fbd28  Yes         /usr/lib/libnssdbm3.so
0x049869a0  0x049b5958  Yes (*)     /usr/lib/libfreebl3.so
0x011439b0  0x011547f8  Yes         /usr/lib/libnssckbi.so
0x011a7480  0x011c28d8  Yes         /usr/lib/gio/modules/libgvfsdbus.so
0x045ebc00  0x045f6ec8  Yes         /usr/lib/libgvfscommon.so.0
0x01f46e80  0x01f503e8  Yes         /lib/libudev.so.0
0x04818010  0x0481b358  Yes         /usr/lib/gtk-2.0/2.10.0/immodules/im-xim.so
0x08df5d40  0x08e130e8  Yes         /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/IcedTeaPlugin.so
0x0110baf0  0x01115738  Yes         /usr/lib/mozilla/plugins/libtotem-cone-plugin.so
0x08b56f80  0x08b58848  Yes         /usr/lib/libtotem-plparser-mini.so.17
0x011d3e30  0x011de878  Yes         /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so
0x01c5e5b0  0x01c65a48  Yes         /usr/lib/mozilla/plugins/libtotem-mully-plugin.so
0x011ebb50  0x011f45e8  Yes         /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so
0x0316cf20  0x03a804d8  Yes (*)     /usr/lib/flash-plugin/libflashplayer.so
0x00296340  0x00296778  Yes (*)     /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so
0x014a61d0  0x014b7a38  Yes         /usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.libflashplayer.so
0x0111e7d0  0x01121d48  Yes         /usr/lib/libcanberra-0.24/libcanberra-pulse.so
0x0143a000  0x01469af8  Yes         /usr/lib/libpulse.so.0
0x0639c7c0  0x063d0008  Yes         /usr/lib/libpulsecommon-0.9.21.so
0x0925eec0  0x09261bd8  Yes         /usr/lib/libXtst.so.6
0x091b9f10  0x091bdfd8  Yes         /lib/libwrap.so.0
0x0597f030  0x059ce1d8  Yes         /usr/lib/libsndfile.so.1
0x063e5d80  0x063e8a58  Yes         /usr/lib/libasyncns.so.0
0x042c3170  0x042d1b18  Yes         /lib/libnsl.so.1
0x04fcd580  0x04ff7848  Yes         /usr/lib/libFLAC.so.8
0x0166bb90  0x0166df38  Yes         /usr/lib/libvorbisenc.so.2
0x01124ab0  0x01125be8  Yes         /usr/lib/pango/1.6.0/modules/pango-hebrew-fc.so
0x029e56d0  0x029e6658  Yes         /usr/lib/pango/1.6.0/modules/pango-hangul-fc.so
0x00330510  0x00330838  Yes (*)     /usr/lib/pango/1.6.0/modules/pango-arabic-lang.so
0x01128aa0  0x01129368  Yes         /usr/lib/pango/1.6.0/modules/pango-arabic-fc.so
0x003796c0  0x00379ca8  Yes (*)     /usr/lib/pango/1.6.0/modules/pango-indic-lang.so
0x0120bcd0  0x0120e2e8  Yes         /usr/lib/pango/1.6.0/modules/pango-indic-fc.so
0x02b7b8e0  0x02b7c398  Yes         /usr/lib/pango/1.6.0/modules/pango-khmer-fc.so
0x003a3710  0x003a3b78  Yes (*)     /usr/lib/pango/1.6.0/modules/pango-thai-lang.so
0x012134b0  0x01219d58  Yes         /usr/lib/libthai.so.0
0x04429b70  0x0442b0a8  Yes         /usr/lib/pango/1.6.0/modules/pango-thai-fc.so
(*): Shared library is missing debugging information.
$1 = 0x0
$2 = 0x0
eax            0x0	0
ecx            0x1648	5704
edx            0xb	11
ebx            0x679	1657
esp            0x9adf9bdc	0x9adf9bdc
ebp            0x9adf9be8	0x9adf9be8
esi            0xb	11
edi            0xb4fff4	11862004
eip            0x8b0416	0x8b0416 <__kernel_vsyscall+2>
eflags         0x200202	[ IF ID ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function __kernel_vsyscall:
   0x008b0414 <+0>:	int    $0x80
=> 0x008b0416 <+2>:	ret    
End of assembler dump.
Debuginfo absent: c21d985d36067c4d2a6d1a8fe077a90b18e27366
Debuginfo absent: 5eec5736470525b1f7ffe3163bed225623bb1033




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Karel Klíč 2010-11-08 14:17:48 EST
*** Bug 610452 has been marked as a duplicate of this bug. ***
Comment 5 Karel Klíč 2010-11-08 14:17:53 EST
*** Bug 614620 has been marked as a duplicate of this bug. ***
Comment 6 Karel Klíč 2010-11-08 14:17:59 EST
*** Bug 620910 has been marked as a duplicate of this bug. ***
Comment 7 Karel Klíč 2010-11-08 14:18:03 EST
*** Bug 626979 has been marked as a duplicate of this bug. ***
Comment 8 Karel Klíč 2010-11-08 14:18:09 EST
*** Bug 635165 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-11-08 14:18:14 EST
*** Bug 636395 has been marked as a duplicate of this bug. ***
Comment 10 Karel Klíč 2010-11-08 14:18:19 EST
*** Bug 637450 has been marked as a duplicate of this bug. ***
Comment 11 Karel Klíč 2010-11-08 14:18:25 EST
*** Bug 646699 has been marked as a duplicate of this bug. ***
Comment 12 Chris Campbell 2011-02-04 10:52:57 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.